API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/load-board/postings/reconcile-preview

ark.reconcile_load_board_posting_preview

Persists or clears DAT/Sylectus draft-preview failure records after a load or spot quote is edited.

Availability
Expanded preview
Scopes
loads:write
ARK permissions
canEditLoad
Team visibility
Required and enforced
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

Idempotency-Keyheaderstringrequired
Required for write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

sourceIdstringrequired

format: uuid

providerstring

one of: dat, sylectus; default: "dat"

sourceTypestring

one of: load, spot_load; default: "load"

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/load-board/postings/reconcile-preview' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{
  "sourceId": "<sourceId>"
}'

Success response

Load board posting preview reconciliation result

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.sourceIdstringrequired

format: uuid

data.sourceTypestringrequired

one of: load, spot_load

data.providerstringrequired

one of: dat, sylectus

data.clearedbooleanrequired
data.persistedbooleanrequired

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 409
Idempotency conflict or in-progress retry